import './index.scss';
import { Button } from 'antd';
import { useNavigate } from 'react-router-dom';
import { FC } from 'react';

interface selfProps {
  saveRentGoods: () => void;
}

const FooterOperate: FC<selfProps> = ({ saveRentGoods }) => {
  const navigate = useNavigate();

  //返回
  const backRoute = () => {
    navigate(-1);
  };

  return (
    <div className='rent-footer-operate'>
      <Button onClick={backRoute}>返回</Button>
      <Button type='primary' onClick={saveRentGoods}>
        保存
      </Button>
    </div>
  );
};
export default FooterOperate;
